Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface SurfaceBoundary

All Superinterfaces:
  Boundary, Geometry, PrimitiveBoundary, Serializable

All Known Implementing Classes:
  SurfaceBoundaryImpl

    public interface SurfaceBoundary

extends PrimitiveBoundary

Defining the boundary of a surface. The surface boundary is defined as ring surrounding the exterior boundary of the surface and the rings surrounding each interior ring of the surface.

A SurfaceBoundary consists of some number of Rings, corresponding to the various components of its boundary. In the normal 2D case, one of these rings is distinguished as being the exterior boundary. In a general manifold this is not always possible, in which case all boundaries shall be listed as interior boundaries, and the exterior will be empty.

-----------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Author:
  Axel Schaefer

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`Ring` | `getExteriorRing()` get the exterior ring
`Ring[]` | `getInteriorRings()` gets the interior ring(s)

Methods inherited from interface org.deegree.model.spatialschema.Boundary
`isCycle`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### getExteriorRing

    Ring getExteriorRing()

  get the exterior ring

  Returns:
    the exterior ring

### getInteriorRings

    Ring[] getInteriorRings()

  gets the interior ring(s)

  Returns:
    the interior ring(s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org